# Wordpusher

Push the writing stack.

## Quick start

0. `git clone https://tildegit.org/c-ren/wordpusher.git`
1. `mkdir input`
2. `mkdir output`
3. `echo 'Hello world!' > input/index.md`
4. `wordpusher/render_tree input output`

You will want to edit `render_file` to change things that only apply to my
deployment (the header that says "cren's website", for example). (Yes, I know
that this is terrible practice. I will fix it.)

## Usage

### render_file

`render_file` is a POSIX `sh` script that mostly consists of running `cmark` on
a file.

```
render_file <input.md>
```

### render_tree

`render_tree` is another `sh` script that calls `render_file` on every file
in a directory, including every file in every directory in that directory (it's
recursive). You must also provide an output directory.

```
render_tree <input_dir> <output_dir>
```

## Licence

Made available under the 0BSD licence, a permissive open-source licence. See the included LICENCE file for full text.
